<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActActuatorAxis.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SmarActActuatorAxis.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="SmarActActuatorAxis_8hpp_source.html">SmarActActuatorAxis.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="SmarActAxisStatus_8hpp_source.html">SmarActAxisStatus.hpp</a>&quot;</code><br/>
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SmarActActuatorAxis.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="SmarActActuatorAxis_8cpp__incl.png" border="0" usemap="#SmarActActuatorAxis_8cpp" alt=""/></div>
<map name="SmarActActuatorAxis_8cpp" id="SmarActActuatorAxis_8cpp">
<area shape="rect" id="node3" href="SmarActActuatorAxis_8hpp.html" title="SmarActActuatorAxis.hpp" alt="" coords="584,83,757,112"/><area shape="rect" id="node64" href="SmarActAxisStatus_8hpp.html" title="SmarActAxisStatus.hpp" alt="" coords="933,315,1096,344"/><area shape="rect" id="node5" href="ActuatorAxis_8hpp.html" title="ActuatorAxis.hpp" alt="" coords="325,160,448,189"/><area shape="rect" id="node9" href="SmarActActuatorSystem_8hpp.html" title="SmarActActuatorSystem.hpp" alt="" coords="575,160,767,189"/><area shape="rect" id="node25" href="Timer_8hpp.html" title="Timer.hpp" alt="" coords="595,392,675,421"/><area shape="rect" id="node51" href="SmarActResult_8hpp.html" title="SmarActResult.hpp" alt="" coords="773,315,909,344"/><area shape="rect" id="node56" href="SmarActCommands_8hpp.html" title="SmarActCommands.hpp" alt="" coords="841,160,1007,189"/><area shape="rect" id="node11" href="ActuatorSystem_8hpp.html" title="ActuatorSystem.hpp" alt="" coords="1171,315,1312,344"/><area shape="rect" id="node20" href="MeasurementState_8hpp.html" title="MeasurementState.hpp" alt="" coords="431,315,588,344"/><area shape="rect" id="node32" href="StateManager_8hpp.html" title="StateManager.hpp" alt="" coords="372,237,500,267"/><area shape="rect" id="node35" href="DataLogger_8hpp.html" title="DataLogger.hpp" alt="" coords="183,315,297,344"/><area shape="rect" id="node58" href="SmarActCommand_8hpp.html" title="SmarActCommand.hpp" alt="" coords="841,237,999,267"/></map>
</div>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
